# AI Agents

The following endpoints allow you to get, create, update, delete, and run AI Agents. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change.

## Get Agents

> Retrieve a list of all agents

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents","description":"The following endpoints allow you to get, create, update, delete, and run AI Agents. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/agents":{"get":{"summary":"Get Agents","description":"Retrieve a list of all agents","tags":["AI Agents"],"parameters":[{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"responses":{"200":{"description":"List of agents retrieved successfully","content":{"application/json":{"schema":{"type":"object","required":["id","name","teamId","createdAt","systemPrompt","defaultModel","invocationConfig","scenarios","mcpConfigs","historyConfig","llmConfig","contexts"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"teamId":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"systemPrompt":{"type":"string"},"defaultModel":{"type":"string"},"invocationConfig":{"type":"object","required":["recursionLimit"],"properties":{"recursionLimit":{"type":"integer"}}},"scenarios":{"type":"array","items":{"type":"object","required":["makeScenarioId"],"properties":{"makeScenarioId":{"type":"integer"},"approvalMode":{"type":"string"}}}},"mcpConfigs":{"type":"array","items":{"type":"object","required":["mcpConnectionId","toolIds","name"],"properties":{"mcpConnectionId":{"type":"integer"},"toolIds":{"type":"array","items":{"type":"string"}},"name":{"type":"string","description":"Name of the MCP connection. If the underlying MCP connection was deleted, or is otherwise corrupted, returns 'Invalid MCP Connection'."}}}},"historyConfig":{"type":"object","required":["iterationsFromHistoryCount"],"properties":{"iterationsFromHistoryCount":{"type":"integer"}}},"llmConfig":{"type":"object","required":["maxTokens"],"properties":{"maxTokens":{"type":"integer"}}},"contexts":{"type":"array","items":{"type":"object","required":["id","agentId","documentName","description","createdAt","metadata","isTemporary"],"properties":{"id":{"type":"string","format":"uuid"},"agentId":{"type":"string","format":"uuid"},"documentName":{"type":"string"},"description":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"metadata":{"type":"object","additionalProperties":true},"isTemporary":{"type":"boolean"}}}},"outputParser":{"type":"object","oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["text"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["make-schema"]},"schema":{"type":"array"},"items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the field"},"type":{"type":"string","enum":["string","text","email","url","uuid","color","number","integer","uinteger","boolean","date","json","dynamicCollection","collection","array","select","any"],"description":"The type of the interface element"},"label":{"type":"string","description":"Optional label for the field"},"required":{"type":"boolean","default":false,"description":"Whether the field is required"},"spec":{"oneOf":[{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}},{"type":"array","maxItems":10,"items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}}}],"description":"Optional nested specification for complex fields"}},"minItems":1}},"required":["type","schema"]}]}}}}}}}}}}}
```

## Create Agent

> Create a new agent

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents","description":"The following endpoints allow you to get, create, update, delete, and run AI Agents. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/agents":{"post":{"summary":"Create Agent","description":"Create a new agent","tags":["AI Agents"],"parameters":[{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"requestBody":{"description":"Request body for creating a new agent.","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"teamId":{"type":"number","exclusiveMinimum":0},"makeConnectionId":{"type":"number"},"defaultModel":{"type":"string"},"systemPrompt":{"type":"string","minLength":1},"llmConfig":{"type":"object","properties":{"maxTokens":{"type":"number"}}},"scenarios":{"type":"array","items":{"type":"object","properties":{"makeScenarioId":{"type":"number","exclusiveMinimum":0},"approvalMode":{"type":"string","enum":["auto-run","approval-required"],"default":"auto-run"}},"required":["makeScenarioId"]}},"historyConfig":{"type":"object","nullable":true,"properties":{"iterationsFromHistoryCount":{"type":"integer"}}},"mcpConfigs":{"type":"array","items":{"type":"object","properties":{"mcpConnectionId":{"type":"integer"},"toolIds":{"type":"array","items":{"type":"string"}}}}},"contexts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}}}},"outputParserFormat":{"type":"object","oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["text"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["make-schema"]},"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the field"},"type":{"type":"string","enum":["string","text","email","url","uuid","color","number","integer","uinteger","boolean","date","json","dynamicCollection","collection","array","select","any"],"description":"The type of the interface element"},"label":{"type":"string","description":"Optional label for the field"},"required":{"type":"boolean","default":false,"description":"Whether the field is required"},"spec":{"oneOf":[{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}},{"type":"array","maxItems":10,"items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}}}],"description":"Optional nested specification for complex fields"}},"required":["name","type"]},"minItems":1}},"required":["type","schema"]}]}},"required":["name","teamId","makeConnectionId","defaultModel","systemPrompt"],"description":"Request body for creating a new agent."}}}},"responses":{"201":{"description":"Agent created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"teamId":{"type":"number","exclusiveMinimum":0},"makeConnectionId":{"type":"number"},"defaultModel":{"type":"string"},"systemPrompt":{"type":"string","minLength":1},"agentId":{"type":"string","format":"uuid"}},"required":["name","teamId","makeConnectionId","defaultModel","systemPrompt","agentId"],"description":"Response body for creating a new agent."}}}}}}}}}
```

## Get Agent by ID

> Retrieve an agent by its ID

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents","description":"The following endpoints allow you to get, create, update, delete, and run AI Agents. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/agents/{agentId}":{"get":{"summary":"Get Agent by ID","description":"Retrieve an agent by its ID","tags":["AI Agents"],"parameters":[{"schema":{"type":"string","format":"uuid"},"required":true,"name":"agentId","in":"path"},{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"responses":{"200":{"description":"Agent retrieved successfully","content":{"application/json":{"schema":{"type":"object","required":["id","name","teamId","createdAt","systemPrompt","defaultModel","invocationConfig","scenarios","mcpConfigs","historyConfig","llmConfig","contexts"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"teamId":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"systemPrompt":{"type":"string"},"defaultModel":{"type":"string"},"invocationConfig":{"type":"object","required":["recursionLimit"],"properties":{"recursionLimit":{"type":"integer"}}},"makeConnectionId":{"type":"integer"},"makeConnectionType":{"type":"string","nullable":true},"pastConfigurations":{"type":"array","items":{"type":"object","required":["name","llmConfig","scenarios","mcpConfigs","defaultModel","systemPrompt","historyConfig","invocationConfig"],"properties":{"name":{"type":"string"},"llmConfig":{"type":"object","required":["maxTokens"],"properties":{"maxTokens":{"type":"integer"}}},"scenarios":{"type":"array","items":{"type":"object","properties":{"makeScenarioId":{"type":"integer","exclusiveMinimum":0},"approvalMode":{"type":"string","enum":["auto-run","approval-required"],"default":"auto-run"}},"required":["makeScenarioId"]}},"mcpConfigs":{"type":"array","items":{"type":"object","required":["toolIds","mcpConnectionId","name"],"properties":{"toolIds":{"type":"array","items":{"type":"string"}},"mcpConnectionId":{"type":"integer","description":"(Make) ID of the MCP connection."}}}},"defaultModel":{"type":"string"},"systemPrompt":{"type":"string"},"historyConfig":{"type":"object","required":["iterationsFromHistoryCount"],"properties":{"iterationsFromHistoryCount":{"type":"integer"}}},"invocationConfig":{"type":"object","required":["recursionLimit"],"properties":{"recursionLimit":{"type":"integer"}}}}}},"scenarios":{"type":"array","items":{"type":"object","required":["makeScenarioId"],"properties":{"makeScenarioId":{"type":"integer"},"approvalMode":{"type":"string"}}}},"mcpConfigs":{"type":"array","items":{"type":"object","required":["mcpConnectionId","tools","name"],"properties":{"mcpConnectionId":{"type":"integer"},"tools":{"type":"array","items":{"type":"object","required":["id","isDeprecated"],"properties":{"id":{"type":"string","description":"Name of the MCP tool (from the mcp server)"},"isDeprecated":{"type":"boolean","description":"If the user has a tool set up in his agent, that the MCP server no longer supports, it is marked as deprecated (=true)."}}}},"name":{"type":"string","description":"Name of the MCP connection. If the underlying MCP connection was deleted, or is otherwise corrupted, returns 'Invalid MCP Connection'."}}}},"historyConfig":{"type":"object","required":["iterationsFromHistoryCount"],"properties":{"iterationsFromHistoryCount":{"type":"integer"}}},"llmConfig":{"type":"object","required":["maxTokens"],"properties":{"maxTokens":{"type":"integer"}}},"llmProviderId":{"type":"integer"},"contexts":{"type":"array","items":{"type":"object","required":["id","agentId","documentName","description","createdAt","metadata","isTemporary"],"properties":{"id":{"type":"string","format":"uuid"},"agentId":{"type":"string","format":"uuid"},"documentName":{"type":"string"},"description":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"metadata":{"type":"object","additionalProperties":true},"isTemporary":{"type":"boolean"}}}},"outputParser":{"type":"object","oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["text"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["make-schema"]},"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the field"},"type":{"type":"string","enum":["string","text","email","url","uuid","color","number","integer","uinteger","boolean","date","json","dynamicCollection","collection","array","select","any"],"description":"The type of the interface element"},"label":{"type":"string","description":"Optional label for the field"},"required":{"type":"boolean","default":false,"description":"Whether the field is required"},"spec":{"oneOf":[{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}},{"type":"array","maxItems":10,"items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}}}],"description":"Optional nested specification for complex fields"}},"required":["name","type"]},"minItems":1}},"required":["type","schema"]}]}}}}}}}}}}}
```

## Delete Agent by ID

> Delete an agent by its ID

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents","description":"The following endpoints allow you to get, create, update, delete, and run AI Agents. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/agents/{agentId}":{"delete":{"summary":"Delete Agent by ID","description":"Delete an agent by its ID","tags":["AI Agents"],"parameters":[{"schema":{"type":"string","format":"uuid"},"required":true,"name":"agentId","in":"path"},{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"responses":{"204":{"description":"Agent deleted successfully"}}}}}}
```

## Modify Agent by ID

> Modify an existing agent by its ID

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents","description":"The following endpoints allow you to get, create, update, delete, and run AI Agents. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/agents/{agentId}":{"patch":{"summary":"Modify Agent by ID","description":"Modify an existing agent by its ID","tags":["AI Agents"],"parameters":[{"schema":{"type":"string","format":"uuid"},"required":true,"name":"agentId","in":"path"},{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"requestBody":{"description":"Request body for modifying an existing agent.","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"systemPrompt":{"type":"string","minLength":1},"defaultModel":{"type":"string"},"llmConfig":{"type":"object","properties":{"maxTokens":{"type":"number"}}},"invocationConfig":{"type":"object","properties":{"recursionLimit":{"type":"integer"},"timeout":{"type":"integer"}}},"scenarios":{"type":"array","items":{"type":"object","properties":{"makeScenarioId":{"type":"number","exclusiveMinimum":0},"approvalMode":{"type":"string","enum":["auto-run","approval-required"],"default":"auto-run"}},"required":["makeScenarioId"]}},"historyConfig":{"type":"object","nullable":true,"properties":{"iterationsFromHistoryCount":{"type":"integer"}}},"mcpConfigs":{"type":"array","items":{"type":"object","properties":{"mcpConnectionId":{"type":"integer"},"toolIds":{"type":"array","items":{"type":"string"}}},"required":["mcpConnectionId","toolIds"]}},"outputParserFormat":{"type":"object","oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["text"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["make-schema"]},"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the field"},"type":{"type":"string","enum":["string","text","email","url","uuid","color","number","integer","uinteger","boolean","date","json","dynamicCollection","collection","array","select","any"],"description":"The type of the interface element"},"label":{"type":"string","description":"Optional label for the field"},"required":{"type":"boolean","default":false,"description":"Whether the field is required"},"spec":{"oneOf":[{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}},{"type":"array","maxItems":10,"items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}}}],"description":"Optional nested specification for complex fields"}}},"minItems":1}},"required":["type","schema"]}]}},"description":"Request body for modifying an existing agent."}}}},"responses":{"204":{"description":"Agent modified successfully"}}}}}}
```

## Run Agent

> Run an agent with the provided ID

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents","description":"The following endpoints allow you to get, create, update, delete, and run AI Agents. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/agents/{agentId}/run":{"post":{"summary":"Run Agent","description":"Run an agent with the provided ID","tags":["AI Agents"],"parameters":[{"schema":{"type":"string","format":"uuid"},"required":true,"name":"agentId","in":"path"},{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"requestBody":{"description":"Request body for running an agent.","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"messages":{"type":"array","items":{"type":"object","properties":{"role":{"type":"string","enum":["assistant","user"]},"content":{"type":"string"}},"required":["role","content"]}},"threadId":{"type":"string","minLength":1,"default":"a64d23ed-2580-43e4-a898-e97193d7fd5e"},"callbackUrl":{"type":"string"},"config":{"type":"object","properties":{"systemPrompt":{"type":"string"},"additionalSystemPrompt":{"type":"string"},"scenarios":{"type":"array","items":{"type":"object","properties":{"makeScenarioId":{"type":"number","exclusiveMinimum":0},"approvalMode":{"type":"string","enum":["auto-run","approval-required"],"default":"auto-run"}},"required":["makeScenarioId"]}},"historyConfig":{"type":"object","properties":{"iterationsFromHistoryCount":{"type":"integer"}}},"llmConfig":{"type":"object","properties":{"llmModel":{"type":"string","enum":["gpt-4o","gpt-4o-mini","gpt-4.1","gpt-4.1-mini","gpt-4.1-nano","o1","o3","o3-mini","o4-mini","claude-3-7-sonnet-latest","claude-3-5-sonnet-latest","claude-3-5-haiku-latest","claude-3-opus-latest","claude-3-haiku-20240307","claude-3-sonnet-20240229","mistral-large-latest","open-mistral-nemo","mistral-small-latest","codestral-latest","command-r7b-12-2024","command-r-plus-08-2024","command-r-08-2024","llama-3.3-70b-versatile","llama-3.1-8b-instant","llama3-70b-8192","llama3-8b-8192","grok-3-latest","grok-3-fast-latest","grok-3-mini-latest","grok-3-mini-fast-latest","grok-2-latest","gemini-2.5-pro","gemini-2.5-flash","gemini-2.0-flash","gemini-2.0-flash-lite","gemini-1.5-flash","gemini-1.5-pro"]},"settings":{"type":"object","properties":{"maxTokens":{"type":"number"}}}}},"invocationConfig":{"type":"object","properties":{"recursionLimit":{"type":"integer"},"timeout":{"type":"integer"}}},"mcpConfigs":{"type":"array","items":{"type":"object","properties":{"mcpConnectionId":{"type":"integer"},"toolIds":{"type":"array","items":{"type":"string"}}},"required":["mcpConnectionId","toolIds"]}},"outputParser":{"type":"object","oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["text"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["make-schema"]},"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the field"},"type":{"type":"string","enum":["string","text","email","url","uuid","color","number","integer","uinteger","boolean","date","json","dynamicCollection","collection","array","select","any"],"description":"The type of the interface element"},"label":{"type":"string","description":"Optional label for the field"},"required":{"type":"boolean","default":false,"description":"Whether the field is required"},"spec":{"oneOf":[{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}},{"type":"array","maxItems":10,"items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}}}],"description":"Optional nested specification for complex fields"}},"required":["name","type"]},"minItems":1}},"required":["type","schema"]}]}}}},"required":["messages","config"],"description":"Request body for running an agent."}}}},"responses":{"200":{"description":"Agent run started successfully","content":{"application/json":{"schema":{"type":"object","properties":{"response":{"type":"string"},"jsonResponse":{"type":"object","additionalProperties":{"nullable":true}},"executionSteps":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"index":{"type":"number"},"role":{"type":"string","enum":["system","assistant","user","tool"]},"content":{"type":"string"},"executionTimeMs":{"type":"number"},"tokenUsage":{"nullable":true},"toolCalls":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"toolType":{"type":"string","enum":["scenario","mcp","rag"]},"arguments":{"type":"object","additionalProperties":{"nullable":true}}},"required":["name","toolType","arguments"]}},"toolResponse":{"type":"object","properties":{"name":{"type":"string"},"result":{"nullable":true},"status":{"type":"string","enum":["ok","fail"]},"toolType":{"type":"string","enum":["scenario","mcp","rag"]},"executionLink":{"type":"string"}},"required":["status","toolType"]},"agentIterationId":{"type":"string"}},"required":["role","content"]}},"executionTimeMs":{"type":"integer"},"threadId":{"type":"string","format":"uuid"},"tokenUsageSummary":{"type":"object","properties":{"promptTokens":{"type":"integer"},"completionTokens":{"type":"integer"},"totalTokens":{"type":"integer"}}},"lastAgentIterationId":{"type":"string","format":"uuid"}},"required":["response","executionSteps","threadId","tokenUsageSummary"],"description":"Response body for running an agent."}}}}}}}}}
```

## Run Agent with Server Sent Events (SSE) Streaming

> Run an agent with the provided ID and stream the response using Server Sent Events (SSE)

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents","description":"The following endpoints allow you to get, create, update, delete, and run AI Agents. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/agents/{agentId}/run/stream":{"post":{"summary":"Run Agent with Server Sent Events (SSE) Streaming","description":"Run an agent with the provided ID and stream the response using Server Sent Events (SSE)","tags":["AI Agents"],"parameters":[{"schema":{"type":"string","format":"uuid"},"required":true,"name":"agentId","in":"path"},{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"requestBody":{"description":"Request body for running an agent with streaming.","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"messages":{"type":"array","items":{"type":"object","properties":{"role":{"type":"string","enum":["assistant","user"]},"content":{"type":"string"}},"required":["role","content"]}},"threadId":{"type":"string","minLength":1,"default":"d7fbd183-6b53-4dba-9469-00ec3d047cef"},"callbackUrl":{"type":"string"},"config":{"type":"object","properties":{"systemPrompt":{"type":"string"},"additionalSystemPrompt":{"type":"string"},"scenarios":{"type":"array","items":{"type":"object","properties":{"makeScenarioId":{"type":"number","exclusiveMinimum":0},"approvalMode":{"type":"string","enum":["auto-run","approval-required"],"default":"auto-run"}},"required":["makeScenarioId"]}},"historyConfig":{"type":"object","properties":{"iterationsFromHistoryCount":{"type":"integer"}}},"llmConfig":{"type":"object","properties":{"llmModel":{"type":"string","enum":["gpt-4o","gpt-4o-mini","gpt-4.1","gpt-4.1-mini","gpt-4.1-nano","o1","o3","o3-mini","o4-mini","claude-sonnet-4-0","claude-opus-4-0","claude-3-7-sonnet-latest","claude-3-5-sonnet-latest","claude-3-5-haiku-latest","claude-3-opus-latest","claude-3-haiku-20240307","mistral-large-latest","open-mistral-nemo","mistral-small-latest","codestral-latest","command-r7b-12-2024","command-r-plus-08-2024","command-r-08-2024","llama-3.3-70b-versatile","llama-3.1-8b-instant","llama3-70b-8192","llama3-8b-8192","grok-3-latest","grok-3-fast-latest","grok-3-mini-latest","grok-3-mini-fast-latest","grok-2-latest","gemini-2.5-pro","gemini-2.5-flash","gemini-2.0-flash","gemini-2.0-flash-lite","gemini-1.5-flash","gemini-1.5-pro"]},"settings":{"type":"object","properties":{"maxTokens":{"type":"number"}}}}},"invocationConfig":{"type":"object","properties":{"recursionLimit":{"type":"integer"},"timeout":{"type":"integer"}}},"mcpConfigs":{"type":"array","items":{"type":"object","properties":{"mcpConnectionId":{"type":"integer"},"toolIds":{"type":"array","items":{"type":"string"}}},"required":["mcpConnectionId","toolIds"]}},"outputParser":{"type":"object","oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["text"]}},"required":["type"]},{"type":"object","properties":{"type":{"type":"string","enum":["make-schema"]},"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the field"},"type":{"type":"string","enum":["string","text","email","url","uuid","color","number","integer","uinteger","boolean","date","json","dynamicCollection","collection","array","select","any"],"description":"The type of the interface element"},"label":{"type":"string","description":"Optional label for the field"},"required":{"type":"boolean","default":false,"description":"Whether the field is required"},"spec":{"oneOf":[{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}},{"type":"array","maxItems":10,"items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean","default":false}}}}],"description":"Optional nested specification for complex fields"}},"required":["name","type"]},"minItems":1}},"required":["type","schema"]}]}}}},"required":["messages","config"],"description":"Request body for running an agent."}}}},"responses":{"200":{"description":"Agent run with streaming started successfully","content":{"text/event-stream":{"schema":{"nullable":true,"description":"Server-Sent Events stream (text/event-stream)"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/ai-agents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
